System
All operations require authentication.
Get the BIOS settingsBeta
Get the BIOS settings. Returns the configurable BIOS settings of the server. The response states whether SGX is supported and lists the SGX statuses and PRMRR sizes the server accepts.
Path parameters
The internal name of your dedicated server
Response
List supported setting
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ biosSettings \
-H "authorization: Bearer $OVH_TOKEN"{ "supportedSettings": { "sgx": true, "sgxOptions": { "prmrr": [ "128" ], "status": [ "disabled" ] } }}
Get the SGX settingsBeta
Get the SGX settings. Returns the SGX configuration of the server: the SGX status and the size of the Processor Reserved Memory (PRMRR). To change it, use the configure operation.
Path parameters
The internal name of your dedicated server
Response
Settings sections
1281310721638420482563232768409651264655368192Settings sections
disabledenabledsoftware controlledExample uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ biosSettings/ sgx \
-H "authorization: Bearer $OVH_TOKEN"{ "prmrr": "128", "status": "disabled"}
Configure SGXBeta
Configure SGX. Enables or disables SGX and sets the size of the Processor Reserved Memory (PRMRR). The server reboots one or several times. On a server without SGX BIOS settings, the call returns an error.
Path parameters
The internal name of your dedicated server
Request body (required)
Size of the Processor Reserved Memory
1281310721638420482563232768409651264655368192Desired SGX status
disabledenabledsoftware controlledResponse
UUID of the change linked to this task
Details of this task
Completion date
Function name
INFRA_002_VirtualNetworkInterfaceINFRA_002_VirtualNetworkInterface_groupINFRA_002_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_VirtualNetworkInterface_ungroupaddVirtualMacaddWindowSplaFromExistingSerialapplyBackupFtpAclsapplyBackupFtpQuotabypassAntiDDosGamechangePasswordBackupFTPchangeRipeOrgcheckAndReleaseIpcreateBackupFTPcreateOrUpdateRipeOrgcreatePrivateNetworkdisableFirewallenableFirewallgenericMoveFloatingIphardReboothardware_updateipmi/configureSGXmigrateBackupFTPmoveFloatingIpmoveVirtualMacreagregateBlockrebootPower8ToreinstallServerreleaseIpremoveBackupFTPremoveVirtualMacrequestAccessIPMIresetIPMIresetIPMISessiontestIPMIhttptestIPMIpasswordtestIPMIpingvirtualMacAddvirtualMacDeletelast update
Whether this task need to be scheduled or not
Extra information about this task
ID of the planned intervention for this task
Task Creation date
Task status
cancelledcustomerErrordoingdoneinitovhErrortodoTask result tags output
the id of the task
Reference of the thread on the support tool
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ biosSettings/ sgx/ configure \
-H "authorization: Bearer $OVH_TOKEN"{ "changeUuid": "string", "comment": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "INFRA_002_VirtualNetworkInterface", "lastUpdate": "2024-01-01T12:00:00Z", "needSchedule": true, "note": "string", "plannedInterventionId": 0, "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "tags": [ { "key": "string", "value": "string" } ], "taskId": 0, "ticketReference": "string"}
List compliant Windows licensesProduction
List compliant Windows licenses. Returns the Windows license versions compliant with the server, as a list of version names.
Path parameters
The internal name of your dedicated server
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ license/ compliantWindows \
-H "authorization: Bearer $OVH_TOKEN"[ "WINDOWS_SERVER_2003_ENTERPRISE_EDITION"]
List compliant SQL Server licensesProduction
List compliant SQL Server licenses. Returns the Windows SQL Server license versions compliant with the server, as a list of version names.
Path parameters
The internal name of your dedicated server
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ license/ compliantWindowsSqlServer \
-H "authorization: Bearer $OVH_TOKEN"[ "SQL_SERVER_2008_STANDARD_EDITION"]
Add an existing Windows licenseProduction
Add an existing Windows license. Attaches an existing Windows license serial number to the server, for the given license version. The license can then be managed under /license/windows. Returns a task.
Path parameters
The internal name of your dedicated server
Request body (required)
Your license serial number
Your license version
WINDOWS_SERVER_2003_ENTERPRISE_EDITIONWINDOWS_SERVER_2003_ENTERPRISE_EDITION_2_CPUWINDOWS_SERVER_2003_STANDARD_EDITIONWINDOWS_SERVER_2003_WEB_EDITIONWINDOWS_SERVER_2003_WEB_EDITION_2_CPUWINDOWS_SERVER_2003_WEB_ENHANCED_EDITIONWINDOWS_SERVER_2003_WEB_STANDARD_EDITIONWINDOWS_SERVER_2003_WEB_STANDARD_EDITION_2_CPUWINDOWS_SERVER_2008_DATACENTER_EDITIONWINDOWS_SERVER_2008_DATACENTER_EDITION_2_CPUWINDOWS_SERVER_2008_DATACENTER_EDITION_4_CPUWINDOWS_SERVER_2008_ENTERPRISE_EDITIONWINDOWS_SERVER_2008_ENTERPRISE_EDITION_2_CPUWINDOWS_SERVER_2008_ENTERPRISE_EDITION_4_CPUWINDOWS_SERVER_2008_STANDARD_EDITIONWINDOWS_SERVER_2008_STANDARD_EDITION_2_CPUWINDOWS_SERVER_2008_STANDARD_EDITION_4_CPUWINDOWS_SERVER_2008_WEB_EDITIONWINDOWS_SERVER_2008_WEB_EDITION_2_CPUWINDOWS_SERVER_2008_WEB_EDITION_4_CPUWINDOWS_SERVER_2008_WEB_STANDARD_EDITIONWINDOWS_SERVER_2012_DATACENTER_EDITIONWINDOWS_SERVER_2012_DATACENTER_EDITION_2_CPUWINDOWS_SERVER_2012_DATACENTER_EDITION_4_CPUWINDOWS_SERVER_2012_ENTERPRISE_EDITIONWINDOWS_SERVER_2012_ENTERPRISE_EDITION_2_CPUWINDOWS_SERVER_2012_STANDARD_EDITIONWINDOWS_SERVER_2012_STANDARD_EDITION_2_CPUWINDOWS_SERVER_2012_STANDARD_EDITION_4_CPUWINDOWS_SERVER_2012_WEB_EDITIONWINDOWS_SERVER_2016_DATACENTER_EDITION_1_CPU_10_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_1_CPU_12_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_1_CPU_14_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_1_CPU_16_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_1_CPU_18_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_1_CPU_20_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_1_CPU_22_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_1_CPU_24_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_1_CPU_32_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_1_CPU_48_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_1_CPU_64_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_1_CPU_8_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_2_CPU_10_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_2_CPU_12_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_2_CPU_14_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_2_CPU_16_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_2_CPU_18_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_2_CPU_20_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_2_CPU_22_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_2_CPU_24_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_2_CPU_32_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_2_CPU_8_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_4_CPU_10_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_4_CPU_12_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_4_CPU_14_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_4_CPU_16_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_4_CPU_18_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_4_CPU_20_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_4_CPU_22_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_4_CPU_24_CORESWINDOWS_SERVER_2016_DATACENTER_EDITION_4_CPU_8_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_1_CPU_10_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_1_CPU_12_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_1_CPU_14_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_1_CPU_16_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_1_CPU_18_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_1_CPU_20_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_1_CPU_22_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_1_CPU_24_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_1_CPU_32_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_1_CPU_48_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_1_CPU_64_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_1_CPU_8_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_2_CPU_10_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_2_CPU_12_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_2_CPU_14_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_2_CPU_16_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_2_CPU_18_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_2_CPU_20_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_2_CPU_22_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_2_CPU_24_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_2_CPU_32_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_2_CPU_8_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_4_CPU_10_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_4_CPU_12_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_4_CPU_14_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_4_CPU_16_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_4_CPU_18_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_4_CPU_20_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_4_CPU_22_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_4_CPU_24_CORESWINDOWS_SERVER_2016_STANDARD_EDITION_4_CPU_8_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_10_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_128_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_12_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_14_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_16_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_18_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_192_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_20_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_22_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_24_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_256_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_26_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_28_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_30_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_32_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_34_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_36_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_38_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_40_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_42_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_44_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_46_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_48_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_50_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_512_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_52_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_54_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_56_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_58_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_60_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_62_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_64_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_72_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_8_CORESWINDOWS_SERVER_2019_DATACENTER_EDITION_96_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_10_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_128_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_12_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_14_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_16_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_18_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_192_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_20_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_22_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_24_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_256_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_26_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_28_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_30_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_32_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_34_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_36_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_38_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_40_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_42_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_44_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_46_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_48_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_50_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_512_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_52_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_54_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_56_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_58_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_60_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_62_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_64_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_72_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_8_CORESWINDOWS_SERVER_2019_STANDARD_EDITION_96_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_10_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_128_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_12_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_14_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_16_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_18_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_192_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_20_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_22_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_24_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_256_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_26_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_28_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_30_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_32_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_34_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_36_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_38_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_40_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_42_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_44_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_46_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_48_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_50_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_512_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_52_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_54_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_56_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_58_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_60_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_62_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_64_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_72_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_8_CORESWINDOWS_SERVER_2022_DATACENTER_EDITION_96_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_10_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_128_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_12_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_14_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_16_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_18_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_192_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_20_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_22_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_24_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_256_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_26_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_28_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_30_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_32_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_34_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_36_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_38_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_40_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_42_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_44_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_46_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_48_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_50_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_512_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_52_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_54_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_56_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_58_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_60_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_62_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_64_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_72_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_8_CORESWINDOWS_SERVER_2022_STANDARD_EDITION_96_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_10_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_128_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_12_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_14_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_16_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_18_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_192_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_20_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_22_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_24_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_256_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_26_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_28_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_30_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_32_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_34_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_36_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_38_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_40_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_42_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_44_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_46_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_48_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_50_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_512_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_52_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_54_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_56_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_58_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_60_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_62_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_64_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_72_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_8_CORESWINDOWS_SERVER_2025_DATACENTER_EDITION_96_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_10_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_128_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_12_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_14_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_16_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_18_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_192_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_20_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_22_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_24_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_256_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_26_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_28_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_30_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_32_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_34_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_36_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_38_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_40_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_42_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_44_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_46_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_48_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_50_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_512_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_52_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_54_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_56_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_58_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_60_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_62_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_64_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_72_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_8_CORESWINDOWS_SERVER_2025_STANDARD_EDITION_96_CORESwindows-server-2008-license-datacenter-edition-1-cpuwindows-server-2008-license-datacenter-edition-2-cpuwindows-server-2008-license-datacenter-edition-4-cpuwindows-server-2008-license-enterprise-edition-1-cpuwindows-server-2008-license-enterprise-edition-2-cpuwindows-server-2008-license-enterprise-edition-4-cpuwindows-server-2008-license-standard-edition-1-cpuwindows-server-2008-license-standard-edition-2-cpuwindows-server-2008-license-standard-edition-4-cpuwindows-server-2008-license-web-edition-1-cpuwindows-server-2008-license-web-edition-2-cpuwindows-server-2008-license-web-edition-4-cpuwindows-server-2012-license-datacenter-edition-1-cpuwindows-server-2012-license-datacenter-edition-2-cpuwindows-server-2012-license-datacenter-edition-4-cpuwindows-server-2012-license-standard-edition-1-cpuwindows-server-2012-license-standard-edition-2-cpuwindows-server-2012-license-standard-edition-4-cpuwindows-server-2016-license-datacenter-edition-1-cpu-10-coreswindows-server-2016-license-datacenter-edition-1-cpu-12-coreswindows-server-2016-license-datacenter-edition-1-cpu-14-coreswindows-server-2016-license-datacenter-edition-1-cpu-16-coreswindows-server-2016-license-datacenter-edition-1-cpu-18-coreswindows-server-2016-license-datacenter-edition-1-cpu-20-coreswindows-server-2016-license-datacenter-edition-1-cpu-22-coreswindows-server-2016-license-datacenter-edition-1-cpu-24-coreswindows-server-2016-license-datacenter-edition-1-cpu-32-coreswindows-server-2016-license-datacenter-edition-1-cpu-48-coreswindows-server-2016-license-datacenter-edition-1-cpu-64-coreswindows-server-2016-license-datacenter-edition-1-cpu-8-coreswindows-server-2016-license-datacenter-edition-2-cpu-10-coreswindows-server-2016-license-datacenter-edition-2-cpu-12-coreswindows-server-2016-license-datacenter-edition-2-cpu-14-coreswindows-server-2016-license-datacenter-edition-2-cpu-16-coreswindows-server-2016-license-datacenter-edition-2-cpu-18-coreswindows-server-2016-license-datacenter-edition-2-cpu-20-coreswindows-server-2016-license-datacenter-edition-2-cpu-22-coreswindows-server-2016-license-datacenter-edition-2-cpu-24-coreswindows-server-2016-license-datacenter-edition-2-cpu-32-coreswindows-server-2016-license-datacenter-edition-2-cpu-8-coreswindows-server-2016-license-datacenter-edition-4-cpu-10-coreswindows-server-2016-license-datacenter-edition-4-cpu-12-coreswindows-server-2016-license-datacenter-edition-4-cpu-14-coreswindows-server-2016-license-datacenter-edition-4-cpu-16-coreswindows-server-2016-license-datacenter-edition-4-cpu-18-coreswindows-server-2016-license-datacenter-edition-4-cpu-20-coreswindows-server-2016-license-datacenter-edition-4-cpu-22-coreswindows-server-2016-license-datacenter-edition-4-cpu-24-coreswindows-server-2016-license-datacenter-edition-4-cpu-8-coreswindows-server-2016-license-standard-edition-1-cpu-10-coreswindows-server-2016-license-standard-edition-1-cpu-12-coreswindows-server-2016-license-standard-edition-1-cpu-14-coreswindows-server-2016-license-standard-edition-1-cpu-16-coreswindows-server-2016-license-standard-edition-1-cpu-18-coreswindows-server-2016-license-standard-edition-1-cpu-20-coreswindows-server-2016-license-standard-edition-1-cpu-22-coreswindows-server-2016-license-standard-edition-1-cpu-24-coreswindows-server-2016-license-standard-edition-1-cpu-32-coreswindows-server-2016-license-standard-edition-1-cpu-48-coreswindows-server-2016-license-standard-edition-1-cpu-64-coreswindows-server-2016-license-standard-edition-1-cpu-8-coreswindows-server-2016-license-standard-edition-2-cpu-10-coreswindows-server-2016-license-standard-edition-2-cpu-12-coreswindows-server-2016-license-standard-edition-2-cpu-14-coreswindows-server-2016-license-standard-edition-2-cpu-16-coreswindows-server-2016-license-standard-edition-2-cpu-18-coreswindows-server-2016-license-standard-edition-2-cpu-20-coreswindows-server-2016-license-standard-edition-2-cpu-22-coreswindows-server-2016-license-standard-edition-2-cpu-24-coreswindows-server-2016-license-standard-edition-2-cpu-32-coreswindows-server-2016-license-standard-edition-2-cpu-8-coreswindows-server-2016-license-standard-edition-4-cpu-10-coreswindows-server-2016-license-standard-edition-4-cpu-12-coreswindows-server-2016-license-standard-edition-4-cpu-14-coreswindows-server-2016-license-standard-edition-4-cpu-16-coreswindows-server-2016-license-standard-edition-4-cpu-18-coreswindows-server-2016-license-standard-edition-4-cpu-20-coreswindows-server-2016-license-standard-edition-4-cpu-22-coreswindows-server-2016-license-standard-edition-4-cpu-24-coreswindows-server-2016-license-standard-edition-4-cpu-8-coreswindows-server-2019-license-datacenter-edition-10-coreswindows-server-2019-license-datacenter-edition-12-coreswindows-server-2019-license-datacenter-edition-128-coreswindows-server-2019-license-datacenter-edition-14-coreswindows-server-2019-license-datacenter-edition-16-coreswindows-server-2019-license-datacenter-edition-18-coreswindows-server-2019-license-datacenter-edition-192-coreswindows-server-2019-license-datacenter-edition-20-coreswindows-server-2019-license-datacenter-edition-22-coreswindows-server-2019-license-datacenter-edition-24-coreswindows-server-2019-license-datacenter-edition-256-coreswindows-server-2019-license-datacenter-edition-26-coreswindows-server-2019-license-datacenter-edition-28-coreswindows-server-2019-license-datacenter-edition-30-coreswindows-server-2019-license-datacenter-edition-32-coreswindows-server-2019-license-datacenter-edition-34-coreswindows-server-2019-license-datacenter-edition-36-coreswindows-server-2019-license-datacenter-edition-38-coreswindows-server-2019-license-datacenter-edition-40-coreswindows-server-2019-license-datacenter-edition-42-coreswindows-server-2019-license-datacenter-edition-44-coreswindows-server-2019-license-datacenter-edition-46-coreswindows-server-2019-license-datacenter-edition-48-coreswindows-server-2019-license-datacenter-edition-50-coreswindows-server-2019-license-datacenter-edition-512-coreswindows-server-2019-license-datacenter-edition-52-coreswindows-server-2019-license-datacenter-edition-54-coreswindows-server-2019-license-datacenter-edition-56-coreswindows-server-2019-license-datacenter-edition-58-coreswindows-server-2019-license-datacenter-edition-60-coreswindows-server-2019-license-datacenter-edition-62-coreswindows-server-2019-license-datacenter-edition-64-coreswindows-server-2019-license-datacenter-edition-72-coreswindows-server-2019-license-datacenter-edition-8-coreswindows-server-2019-license-datacenter-edition-96-coreswindows-server-2019-license-standard-edition-10-coreswindows-server-2019-license-standard-edition-12-coreswindows-server-2019-license-standard-edition-128-coreswindows-server-2019-license-standard-edition-14-coreswindows-server-2019-license-standard-edition-16-coreswindows-server-2019-license-standard-edition-18-coreswindows-server-2019-license-standard-edition-192-coreswindows-server-2019-license-standard-edition-20-coreswindows-server-2019-license-standard-edition-22-coreswindows-server-2019-license-standard-edition-24-coreswindows-server-2019-license-standard-edition-256-coreswindows-server-2019-license-standard-edition-26-coreswindows-server-2019-license-standard-edition-28-coreswindows-server-2019-license-standard-edition-30-coreswindows-server-2019-license-standard-edition-32-coreswindows-server-2019-license-standard-edition-34-coreswindows-server-2019-license-standard-edition-36-coreswindows-server-2019-license-standard-edition-38-coreswindows-server-2019-license-standard-edition-40-coreswindows-server-2019-license-standard-edition-42-coreswindows-server-2019-license-standard-edition-44-coreswindows-server-2019-license-standard-edition-46-coreswindows-server-2019-license-standard-edition-48-coreswindows-server-2019-license-standard-edition-50-coreswindows-server-2019-license-standard-edition-512-coreswindows-server-2019-license-standard-edition-52-coreswindows-server-2019-license-standard-edition-54-coreswindows-server-2019-license-standard-edition-56-coreswindows-server-2019-license-standard-edition-58-coreswindows-server-2019-license-standard-edition-60-coreswindows-server-2019-license-standard-edition-62-coreswindows-server-2019-license-standard-edition-64-coreswindows-server-2019-license-standard-edition-72-coreswindows-server-2019-license-standard-edition-8-coreswindows-server-2019-license-standard-edition-96-coreswindows-server-2022-license-datacenter-edition-10-coreswindows-server-2022-license-datacenter-edition-12-coreswindows-server-2022-license-datacenter-edition-128-coreswindows-server-2022-license-datacenter-edition-14-coreswindows-server-2022-license-datacenter-edition-16-coreswindows-server-2022-license-datacenter-edition-18-coreswindows-server-2022-license-datacenter-edition-192-coreswindows-server-2022-license-datacenter-edition-20-coreswindows-server-2022-license-datacenter-edition-22-coreswindows-server-2022-license-datacenter-edition-24-coreswindows-server-2022-license-datacenter-edition-256-coreswindows-server-2022-license-datacenter-edition-26-coreswindows-server-2022-license-datacenter-edition-28-coreswindows-server-2022-license-datacenter-edition-30-coreswindows-server-2022-license-datacenter-edition-32-coreswindows-server-2022-license-datacenter-edition-34-coreswindows-server-2022-license-datacenter-edition-36-coreswindows-server-2022-license-datacenter-edition-38-coreswindows-server-2022-license-datacenter-edition-40-coreswindows-server-2022-license-datacenter-edition-42-coreswindows-server-2022-license-datacenter-edition-44-coreswindows-server-2022-license-datacenter-edition-46-coreswindows-server-2022-license-datacenter-edition-48-coreswindows-server-2022-license-datacenter-edition-50-coreswindows-server-2022-license-datacenter-edition-512-coreswindows-server-2022-license-datacenter-edition-52-coreswindows-server-2022-license-datacenter-edition-54-coreswindows-server-2022-license-datacenter-edition-56-coreswindows-server-2022-license-datacenter-edition-58-coreswindows-server-2022-license-datacenter-edition-60-coreswindows-server-2022-license-datacenter-edition-62-coreswindows-server-2022-license-datacenter-edition-64-coreswindows-server-2022-license-datacenter-edition-72-coreswindows-server-2022-license-datacenter-edition-8-coreswindows-server-2022-license-datacenter-edition-96-coreswindows-server-2022-license-standard-edition-10-coreswindows-server-2022-license-standard-edition-12-coreswindows-server-2022-license-standard-edition-128-coreswindows-server-2022-license-standard-edition-14-coreswindows-server-2022-license-standard-edition-16-coreswindows-server-2022-license-standard-edition-18-coreswindows-server-2022-license-standard-edition-192-coreswindows-server-2022-license-standard-edition-20-coreswindows-server-2022-license-standard-edition-22-coreswindows-server-2022-license-standard-edition-24-coreswindows-server-2022-license-standard-edition-256-coreswindows-server-2022-license-standard-edition-26-coreswindows-server-2022-license-standard-edition-28-coreswindows-server-2022-license-standard-edition-30-coreswindows-server-2022-license-standard-edition-32-coreswindows-server-2022-license-standard-edition-34-coreswindows-server-2022-license-standard-edition-36-coreswindows-server-2022-license-standard-edition-38-coreswindows-server-2022-license-standard-edition-40-coreswindows-server-2022-license-standard-edition-42-coreswindows-server-2022-license-standard-edition-44-coreswindows-server-2022-license-standard-edition-46-coreswindows-server-2022-license-standard-edition-48-coreswindows-server-2022-license-standard-edition-50-coreswindows-server-2022-license-standard-edition-512-coreswindows-server-2022-license-standard-edition-52-coreswindows-server-2022-license-standard-edition-54-coreswindows-server-2022-license-standard-edition-56-coreswindows-server-2022-license-standard-edition-58-coreswindows-server-2022-license-standard-edition-60-coreswindows-server-2022-license-standard-edition-62-coreswindows-server-2022-license-standard-edition-64-coreswindows-server-2022-license-standard-edition-72-coreswindows-server-2022-license-standard-edition-8-coreswindows-server-2022-license-standard-edition-96-coreswindows-server-2025-license-datacenter-edition-10-coreswindows-server-2025-license-datacenter-edition-12-coreswindows-server-2025-license-datacenter-edition-128-coreswindows-server-2025-license-datacenter-edition-14-coreswindows-server-2025-license-datacenter-edition-16-coreswindows-server-2025-license-datacenter-edition-18-coreswindows-server-2025-license-datacenter-edition-192-coreswindows-server-2025-license-datacenter-edition-20-coreswindows-server-2025-license-datacenter-edition-22-coreswindows-server-2025-license-datacenter-edition-24-coreswindows-server-2025-license-datacenter-edition-256-coreswindows-server-2025-license-datacenter-edition-26-coreswindows-server-2025-license-datacenter-edition-28-coreswindows-server-2025-license-datacenter-edition-30-coreswindows-server-2025-license-datacenter-edition-32-coreswindows-server-2025-license-datacenter-edition-34-coreswindows-server-2025-license-datacenter-edition-36-coreswindows-server-2025-license-datacenter-edition-38-coreswindows-server-2025-license-datacenter-edition-40-coreswindows-server-2025-license-datacenter-edition-42-coreswindows-server-2025-license-datacenter-edition-44-coreswindows-server-2025-license-datacenter-edition-46-coreswindows-server-2025-license-datacenter-edition-48-coreswindows-server-2025-license-datacenter-edition-50-coreswindows-server-2025-license-datacenter-edition-512-coreswindows-server-2025-license-datacenter-edition-52-coreswindows-server-2025-license-datacenter-edition-54-coreswindows-server-2025-license-datacenter-edition-56-coreswindows-server-2025-license-datacenter-edition-58-coreswindows-server-2025-license-datacenter-edition-60-coreswindows-server-2025-license-datacenter-edition-62-coreswindows-server-2025-license-datacenter-edition-64-coreswindows-server-2025-license-datacenter-edition-72-coreswindows-server-2025-license-datacenter-edition-8-coreswindows-server-2025-license-datacenter-edition-96-coreswindows-server-2025-license-standard-edition-10-coreswindows-server-2025-license-standard-edition-12-coreswindows-server-2025-license-standard-edition-128-coreswindows-server-2025-license-standard-edition-14-coreswindows-server-2025-license-standard-edition-16-coreswindows-server-2025-license-standard-edition-18-coreswindows-server-2025-license-standard-edition-192-coreswindows-server-2025-license-standard-edition-20-coreswindows-server-2025-license-standard-edition-22-coreswindows-server-2025-license-standard-edition-24-coreswindows-server-2025-license-standard-edition-256-coreswindows-server-2025-license-standard-edition-26-coreswindows-server-2025-license-standard-edition-28-coreswindows-server-2025-license-standard-edition-30-coreswindows-server-2025-license-standard-edition-32-coreswindows-server-2025-license-standard-edition-34-coreswindows-server-2025-license-standard-edition-36-coreswindows-server-2025-license-standard-edition-38-coreswindows-server-2025-license-standard-edition-40-coreswindows-server-2025-license-standard-edition-42-coreswindows-server-2025-license-standard-edition-44-coreswindows-server-2025-license-standard-edition-46-coreswindows-server-2025-license-standard-edition-48-coreswindows-server-2025-license-standard-edition-50-coreswindows-server-2025-license-standard-edition-512-coreswindows-server-2025-license-standard-edition-52-coreswindows-server-2025-license-standard-edition-54-coreswindows-server-2025-license-standard-edition-56-coreswindows-server-2025-license-standard-edition-58-coreswindows-server-2025-license-standard-edition-60-coreswindows-server-2025-license-standard-edition-62-coreswindows-server-2025-license-standard-edition-64-coreswindows-server-2025-license-standard-edition-72-coreswindows-server-2025-license-standard-edition-8-coreswindows-server-2025-license-standard-edition-96-coresResponse
UUID of the change linked to this task
Details of this task
Completion date
Function name
INFRA_002_VirtualNetworkInterfaceINFRA_002_VirtualNetworkInterface_groupINFRA_002_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_ONEAPI_VirtualNetworkInterface_ungroupINFRA_ONE_NETWORK_VirtualNetworkInterface_groupINFRA_ONE_NETWORK_VirtualNetworkInterface_ungroupaddVirtualMacaddWindowSplaFromExistingSerialapplyBackupFtpAclsapplyBackupFtpQuotabypassAntiDDosGamechangePasswordBackupFTPchangeRipeOrgcheckAndReleaseIpcreateBackupFTPcreateOrUpdateRipeOrgcreatePrivateNetworkdisableFirewallenableFirewallgenericMoveFloatingIphardReboothardware_updateipmi/configureSGXmigrateBackupFTPmoveFloatingIpmoveVirtualMacreagregateBlockrebootPower8ToreinstallServerreleaseIpremoveBackupFTPremoveVirtualMacrequestAccessIPMIresetIPMIresetIPMISessiontestIPMIhttptestIPMIpasswordtestIPMIpingvirtualMacAddvirtualMacDeletelast update
Whether this task need to be scheduled or not
Extra information about this task
ID of the planned intervention for this task
Task Creation date
Task status
cancelledcustomerErrordoingdoneinitovhErrortodoTask result tags output
the id of the task
Reference of the thread on the support tool
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ license/ windows \
-H "authorization: Bearer $OVH_TOKEN"{ "changeUuid": "string", "comment": "string", "doneDate": "2024-01-01T12:00:00Z", "function": "INFRA_002_VirtualNetworkInterface", "lastUpdate": "2024-01-01T12:00:00Z", "needSchedule": true, "note": "string", "plannedInterventionId": 0, "startDate": "2024-01-01T12:00:00Z", "status": "cancelled", "tags": [ { "key": "string", "value": "string" } ], "taskId": 0, "ticketReference": "string"}
List SPLA licensesProduction
List SPLA licenses. Returns the IDs of your own SPLA licenses attached to the server. The list can be filtered by status and by license type.
Path parameters
The internal name of your dedicated server
Query parameters
Filter the value of status property (=)
terminatedusedwaitingToCheckFilter the value of type property (=)
ossqlstdsqlwebResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ spla \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Add an SPLA licenseProduction
Add an SPLA license. Attaches an SPLA license to the server from its serial number and its type: os, sqlstd or sqlweb. Returns the ID of the new license.
Path parameters
The internal name of your dedicated server
Request body (required)
License serial number
License type
ossqlstdsqlwebResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ spla \
-H "authorization: Bearer $OVH_TOKEN"0
Get an SPLA licenseProduction
Get an SPLA license. Returns an SPLA license attached to the server: its serial number, type, status and last update date. The status is waitingToCheck, used or terminated.
Path parameters
License id
The internal name of your dedicated server
Response
License id
Last update timestamp
License serial number
Status of license
terminatedusedwaitingToCheckLicense type
ossqlstdsqlwebExample uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ spla/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "id": 0, "lastUpdate": "2024-01-01T12:00:00Z", "serialNumber": "string", "status": "terminated", "type": "os"}
Update an SPLA licenseProduction
Update an SPLA license. Updates the serial number of an SPLA license. The serial number is the only writable field of the license.
Path parameters
License id
The internal name of your dedicated server
Request body (required)
License id
Last update timestamp
License serial number
Status of license
terminatedusedwaitingToCheckLicense type
ossqlstdsqlwebResponse
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ spla/ {id} \
-H "authorization: Bearer $OVH_TOKEN"Revoke an SPLA licenseProduction
Revoke an SPLA license. Revokes an SPLA license attached to the server, identified by its license ID. The call returns no content.
Path parameters
License id
The internal name of your dedicated server
Response
Example uses id = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ spla/ {id}/ revoke \
-H "authorization: Bearer $OVH_TOKEN"List planned changesBeta
List planned changes. Returns the UUIDs of the changes planned on the server. Get a change by its UUID to read its purpose, status and expected dates.
Path parameters
The internal name of your dedicated server
Response
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ plannedChange \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a planned changeBeta
Get a planned change. Returns a change planned on the server: its purpose, its status, its wanted start date and its expected end date.
Path parameters
UUID of the change
The internal name of your dedicated server
Response
Expected end date for this change
UUID of the change
Status of the change
acknowledgedassessauthorizecanceledcloseddoingdoneimplementnewreviewscheduledtodoOperation purpose
HARDWARE_UPGRADE_ON_ACTIVE_SERVERWanted start date for this change
Example uses changeUuid = string, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ dedicated/ server/ {serviceName}/ plannedChange/ {changeUuid} \
-H "authorization: Bearer $OVH_TOKEN"{ "expectedEndDate": "2024-01-01T12:00:00Z", "id": "string", "status": "acknowledged", "type": "HARDWARE_UPGRADE_ON_ACTIVE_SERVER", "wantedStartDate": "2024-01-01T12:00:00Z"}